/***********************************************************************
 *
 *	File name:  	tos.h
 *
 *	Description:	
 *
 *	Functions:	EVENT definitions
 *                      STATE definitions
 *                      typedef definitions
 *
 *
 *
 *
 *      Version		Date		ID		Comment
 *	----------------------------------------------------------------
 *	0.1		113088		TEKELEC/IA	first created
 *	1.0		120888		TEKELEC/IA	Demo package
 *
 ***********************************************************************/




/*
 *
 *    EVENT DEFINITIONS
 *
 */


#define TERM_REQ        5
#define DSP_REQ         6
#define START_REQ       7
#define START_CONF      8
#define ABORT           9  

#define PA_SIG         10 
#define PB_SIG         11

#define AUX_SIG        12

#define OTHER          13




/*
 *
 *    STATE DEFINITIONS
 *
 */

#define TE_IDLE		1
#define AL_TE		2
#define AL_NT           3




/*
 *
 *    TYPEDEF DEFINITIONS
 *
 */


typedef struct
    {
    int portnum;
    int taskId;
    long int recKey;
    long int coKey;
    } MAINIT;

typedef struct
    {
    int taskId;
    long int recKey;
    long int coKey;
    } DSPINIT;

typedef struct
    {
    int taskId;
    long int recKey;
    long int coKey;
    long int portAKey;
    long int portBKey;
    } PORTINIT;

typedef struct
    {
    int event;
    int taskId;
    byte info[100];
    } RECEIVE;

typedef struct
    {
    int event;
    int taskId;
    byte info[100];
    }SETTE;

typedef struct
    {
    int event;
    int taskId;
    }START;

typedef struct
    {
    int event;
    int taskId;
    byte info[100];
    }SETNT;


typedef struct
    {
    int event;
    int taskId;
    byte info[100];
    }CONTE;


typedef struct
    {
    int event;
    int taskId;
    byte info[100];
    }RELCOM;

typedef struct
    {
    int event;
    int taskId;
    byte text[100];
    }DSPREQ;

typedef struct
    {
    int event;
    int taskId;
    byte text[100];
    }TERMREQ;







